TestPileup Class Reference
Inheritance diagram for TestPileup:
[legend]
Collaboration diagram for TestPileup:
[legend]

## Public Member Functions

void | testPileupPosition ()
Public Member Functions inherited from Pileup< TestPileupElement >
| Pileup (const defaultPileup< TestPileupElement > &fp=defaultPileup< TestPileupElement >())
| Constructor using the default maximum number of bases a read spans.
| Pileup (int window, const defaultPileup< TestPileupElement > &fp=defaultPileup< TestPileupElement >())
| Constructor that sets the maximum number of bases a read spans. More...
| Pileup (const std::string &refSeqFileName, const defaultPileup< TestPileupElement > &fp=defaultPileup< TestPileupElement >())
| Perform pileup with a reference.
| Pileup (int window, const std::string &refSeqFileName, const defaultPileup< TestPileupElement > &fp=defaultPileup< TestPileupElement >())
| Perform pileup with a reference and a specified window size.
virtual | ~Pileup ()
| Destructor.
virtual int | processFile (const std::string &fileName, uint16_t excludeFlag=0x0704, uint16_t includeFlag=0)
| Performs a pileup on the specified file. More...
virtual void | processAlignment (SamRecord &record)
| Add an alignment to the pileup.
virtual void | processAlignmentRegion (SamRecord &record, int startPos, int endPos, PosList *excludeList=NULL)
| Add only positions that fall within the specified region of the alignment to the pileup and outside of the specified excluded positions. More...
void | flushPileup ()
| Done processing, flush every position that is currently being stored in the pileup.

## Additional Inherited Members

Protected Member Functions inherited from Pileup< TestPileupElement >
virtual void | flushPileup (int refID, int refPosition)
void | flushPileup (int refPosition)
void | addAlignmentPosition (int refPosition, SamRecord &record)
int | pileupPosition (int refPosition)
virtual void | resetElement (TestPileupElement &element, int position)
virtual void | addElement (TestPileupElement &element, SamRecord &record)
virtual void | analyzeElement (TestPileupElement &element)
virtual void | analyzeHead ()
Protected Attributes inherited from Pileup< TestPileupElement >
defaultPileup< TestPileupElement > | myAnalyzeFuncPtr
std::vector< TestPileupElement > | myElements
int | pileupStart
int | pileupHead
int | pileupTail
int | pileupWindow
int | myCurrentRefID
GenomeSequence * | myRefPtr

## Detailed Description

Definition at line 32 of file TestPileup.h.

The documentation for this class was generated from the following files:

- bam/test/TestPileup.h
- bam/test/TestPileup.cpp